Skip to main content
POST
/
cdn
/
presets
/
{preset_id}
/
applied
Apply preset
curl --request POST \
  --url https://api.gcore.com/cdn/presets/{preset_id}/applied \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_id": 7531
}
'
{
  "message": "Preset successfully applied"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

preset_id
integer
required

Preset ID.

Body

application/json
object_id
integer
required

ID of the object (CDN resource or rule, according to the preset object_type) to apply the preset to.

Example:

7531

Response

Successful.

message
string
Example:

"Preset successfully applied"